package cn.ibizlab.core.extensions.service;

import cn.ibizlab.core.lite.service.impl.DstSystemServiceImpl;
import lombok.extern.slf4j.Slf4j;
import cn.ibizlab.core.lite.domain.DstSystem;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.context.annotation.Primary;
import java.util.*;

/**
 * 实体[系统] 自定义服务对象
 */
@Slf4j
@Primary
@Service("DstSystemExService")
public class DstSystemExService extends DstSystemServiceImpl {

    @Override
    protected Class currentModelClass() {
        return com.baomidou.mybatisplus.core.toolkit.ReflectionKit.getSuperClassGenericType(this.getClass().getSuperclass(), 1);
    }

    /**
     * 自定义行为[SyncSysModel]用户扩展
     * @param et
     * @return
     */
    @Override
    @Transactional
    public DstSystem syncSysModel(DstSystem et) {
        return super.syncSysModel(et);
    }
}

